> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Tenant IPv4 Services

> List Tenant IPv4 Services



## OpenAPI

````yaml openapi/billing.yaml get /v1/{tenantUUID}/market/ipv4/services
openapi: 3.0.1
info:
  title: Billing API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/billing
security:
  - bearerAuth: []
paths:
  /v1/{tenantUUID}/market/ipv4/services:
    get:
      tags:
        - Market
      summary: List Tenant IPv4 Services
      description: List Tenant IPv4 Services
      operationId: API-Pub-IPMarket-IPv4-Services-Index
      parameters:
        - name: tenantUUID
          in: path
          description: Tenant UUID
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
        - name: uuid
          in: query
          description: Filter By IPv4 Service UUID
          schema:
            type: string
        - name: address
          in: query
          description: Filter By IPv4 Service Address
          schema:
            type: string
            format: ipv4
        - name: cidr
          in: query
          description: Filter by IPv4 Service CIDR
          schema:
            type: integer
        - name: registry
          in: query
          description: Filter by IPv4 Service Registry
          schema:
            enum:
              - ripencc
              - arin
              - afrinic
              - lacnic
              - apnic
            type: string
        - name: status
          in: query
          description: Search by Subnet status
          schema:
            type: array
            items:
              enum:
                - pending
                - active
                - suspended
                - terminated
              type: string
        - name: display
          in: query
          description: Search by Subnet Display status
          schema:
            type: array
            items:
              enum:
                - assigned
                - unassigned
              type: string
        - name: sort
          in: query
          description: Sort By Key
          schema:
            type: string
            description: |-
              Expects the value to be list of keys sepparated by commas.
                  Default sort direction for each individual key is ASCENDING, but prefix '-' can be set for each individual key to indicate DESCENDING direction.
                  Valid keys are: [address,cidr,market_service_expiration_date,recurring_amount,billing_cycle,start_date,next_due_date].
                  Example: '-cidr,address' - will sort descendingly by <cidr> first and then by <address> for services with same <cidr>
        - name: direction
          in: query
          description: Sorting direction
          schema:
            type: array
            items:
              enum:
                - asc
                - desc
              type: string
        - name: asn
          in: query
          description: Filter by asn
          schema:
            type: integer
        - name: page
          in: query
          description: List Page
          schema:
            type: integer
            default: 1
        - name: per_page
          in: query
          description: Items Per Page
          schema:
            type: integer
            default: 15
      responses:
        '200':
          description: IPv4 Services Collection
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/API.Pub.Resources.Services.IPv4ServicesListResource
              example:
                billing_service:
                  address: string
                  cidr: 0
                  next_due_date: 0
                  recurring_amount: 0
                  status: pending
                  pricing:
                    uuid: string
                    wants_to_negotiate: true
                  uuid: string
                  ecommerce_subscription_uuid: string
                loa:
                  - data:
                      - uuid: string
                        asn: 0
                        as_name: string
                        status: string
                        created_at: 0
                market_service:
                  expires_at: 0
                  registry: string
                  uuid: string
                ecommerce_subscription_uuid: string
                ecommerce_pending_order:
                  uuid: string
                  status: string
                  expires_at: string
        '400':
          description: Invalid Request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
components:
  schemas:
    UUID:
      pattern: >-
        ^[a-zA-Z0-9]{8}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{12}$
      type: string
      description: UUID
    API.Pub.Resources.Services.IPv4ServicesListResource:
      type: object
      properties:
        billing_service:
          $ref: >-
            #/components/schemas/API.Pub.Resources.Services.IPv4ServicesListBillingServiceResource
        loa:
          type: array
          items:
            $ref: >-
              #/components/schemas/API.Pub.Resources.Services.LOAReassignDocumentCollection
          description: list of LOA documents
        market_service:
          $ref: >-
            #/components/schemas/API.Pub.Resources.Services.IPMarketServiceForIPv4ServicesListResource
        ecommerce_subscription_uuid:
          type: string
          nullable: true
        ecommerce_pending_order:
          $ref: >-
            #/components/schemas/API.Pub.Resources.Ecommerce.Orders.OrderResource
    API.Pub.Resources.Services.IPv4ServicesListBillingServiceResource:
      type: object
      properties:
        address:
          type: string
          format: ipv4
        cidr:
          type: integer
        next_due_date:
          type: number
          format: integer
        recurring_amount:
          type: number
          format: float
        status:
          enum:
            - pending
            - active
            - suspended
            - terminated
            - completed
          type: string
        pricing:
          $ref: >-
            #/components/schemas/API.Pub.Resources.Services.IPv4ServicesListPricingResource
        uuid:
          type: string
        ecommerce_subscription_uuid:
          type: string
          nullable: true
    API.Pub.Resources.Services.LOAReassignDocumentCollection:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: >-
              #/components/schemas/API.Pub.Resources.Services.LOAReassignDocumentResource
    API.Pub.Resources.Services.IPMarketServiceForIPv4ServicesListResource:
      type: object
      properties:
        expires_at:
          type: number
          format: integer
        registry:
          type: string
        uuid:
          type: string
          format: uuid
    API.Pub.Resources.Ecommerce.Orders.OrderResource:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
        status:
          type: string
        expires_at:
          type: string
          format: date-time
    API.Pub.Resources.Services.IPv4ServicesListPricingResource:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
        wants_to_negotiate:
          type: boolean
    API.Pub.Resources.Services.LOAReassignDocumentResource:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
        asn:
          type: number
          format: integer
        as_name:
          type: string
        status:
          type: string
        created_at:
          type: number
          format: integer
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````